﻿# Review converted videos:

#-----------------------------------------------------------------------
# Edit the $logFolderName variable to point to your desired logs folder:

#$logFolderName = "24-06-2020 - [run started at 17-31]"
$logFolderName = "30-06-2020 - [run started at 11-20]"

#-----------------------------------------------------------------------
$reviewPlayer = "C:\Program Files\VideoLAN\VLC\vlc.exe"


#############################################################################################################
#                                  Evaluation part of the conversion script									#
#############################################################################################################
if(!(Test-Path $reviewPlayer -PathType leaf))
{
    Write-Host "vlc.exe not found, is the player installed? please check path in `"$reviewPlayer`"." -ForegroundColor Yellow
	Read-Host -Prompt "Press Enter to exit"
    exit
}
$reviewFiles = Get-content -LiteralPath "$PSScriptRoot\..\logs\$logFolderName\review_needed.log" | Measure-Object –Line
$ReviewCount = $reviewFiles.Lines

Write-Host "There are $ReviewCount files to review.."  -ForegroundColor Yellow
Write-Host

$review_count = 1

foreach($review_pair in Get-Content -LiteralPath "$PSScriptRoot\..\logs\$logFolderName\review_needed.log")
{
	$oldFile,$newFile = $review_pair.split(',')
	Write-Host "Playing $review_count converted file: $newFile"
	Write-Host
	
	# Starting VLC Player with the file to review
	Start-Process $reviewPlayer -ArgumentList `"$newFile`"
	Start-Sleep -Seconds 6
	
	# Wait until player is closed.
	$processID = (Get-Process "vlc").id
	Wait-Process -Id $processID
	
	$msg = 'Do you want to keep the newly converted file and delete the old? (N for deleting NEW-file) [Y/N]'
	do {
		$response = Read-Host -Prompt $msg
	} until (($response -eq 'n') -or ($response -eq 'y'))
	
	if ($response -eq 'y') 
	{
		Write-Host "delete old file, keep newly converted.."
		$to_delete = $oldFile
	} else
	{
		Write-Host "delete newly converted, keep old file"
		$to_delete = $newFile
		$failedVideos = $failedVideos + 1
		$convertedVideos = $convertedVideos - 1
	}
	Write-Host "DELETED: $to_delete" -ForegroundColor Red
	Remove-Item -LiteralPath $to_delete
	Write-Host "------------------------------------------------------------------------------------------------"
	Start-Sleep -Seconds 2
}

Read-Host -Prompt "Press Enter to exit"
#############################################################################################################
# END - conversion script